CREATE OR REPLACE VIEW v_traffic_params_all_with_osm_path
AS SELECT t.queue_exists,
    t.queue_length,
    t.from_point,
    t.to_point,
    rtom.osm_path,
    t.source_identification,
    t.data_quality,
    t.input_values,
    t.predefined_location,
    t.average_vehicle_speed,
    t.travel_time,
    t.free_flow_travel_time,
    t.free_flow_speed,
    t.measurement_or_calculation_time,
    t.publication_time,
    t.version_of_predefined_location,
    t.traffic_level
   FROM ( SELECT v_traffic_params_all.publication_time,
            v_traffic_params_all.source_identification,
            v_traffic_params_all.measurement_or_calculation_time,
            v_traffic_params_all.predefined_location,
            v_traffic_params_all.version_of_predefined_location,
            v_traffic_params_all.traffic_level,
            v_traffic_params_all.queue_exists,
            v_traffic_params_all.queue_length,
            v_traffic_params_all.from_point,
            v_traffic_params_all.to_point,
            v_traffic_params_all.data_quality,
            v_traffic_params_all.input_values,
            v_traffic_params_all.average_vehicle_speed,
            v_traffic_params_all.travel_time,
            v_traffic_params_all.free_flow_travel_time,
            v_traffic_params_all.free_flow_speed,
            regexp_split_to_array(v_traffic_params_all.source_identification::text, '(TS|T)'::text) AS i
           FROM v_traffic_params_all)t
     LEFT JOIN traffic.rsd_tmc_osm_mapping rtom ON rtom.lt_start = t.i[2]::integer AND rtom.lt_end = t.i[3]::integer;




CREATE OR REPLACE VIEW v_traffic_params_last_hour_osm_path
AS SELECT t.queue_exists,
    t.queue_length,
    t.from_point,
    t.to_point,
    rtom.osm_path,
    t.source_identification,
    t.data_quality,
    t.input_values,
    t.predefined_location,
    t.average_vehicle_speed,
    t.travel_time,
    t.free_flow_travel_time,
    t.free_flow_speed,
    t.measurement_or_calculation_time,
    t.publication_time,
    t.version_of_predefined_location,
    t.traffic_level
   FROM ( SELECT v_traffic_params_last_hour.publication_time,
            v_traffic_params_last_hour.source_identification,
            v_traffic_params_last_hour.measurement_or_calculation_time,
            v_traffic_params_last_hour.predefined_location,
            v_traffic_params_last_hour.version_of_predefined_location,
            v_traffic_params_last_hour.traffic_level,
            v_traffic_params_last_hour.queue_exists,
            v_traffic_params_last_hour.queue_length,
            v_traffic_params_last_hour.from_point,
            v_traffic_params_last_hour.to_point,
            v_traffic_params_last_hour.data_quality,
            v_traffic_params_last_hour.input_values,
            v_traffic_params_last_hour.average_vehicle_speed,
            v_traffic_params_last_hour.travel_time,
            v_traffic_params_last_hour.free_flow_travel_time,
            v_traffic_params_last_hour.free_flow_speed,
            regexp_split_to_array(v_traffic_params_last_hour.source_identification::text, '(TS|T)'::text) AS i
           FROM v_traffic_params_last_hour)t
     LEFT JOIN traffic.rsd_tmc_osm_mapping rtom ON rtom.lt_start = t.i[2]::integer AND rtom.lt_end = t.i[3]::integer;